org.keycloak.keys.loader

## Class PublicKeyStorageManager

- java.lang.Object
- - org.keycloak.keys.loader.PublicKeyStorageManager

-     public class PublicKeyStorageManager
      extends Object

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PublicKeyStorageManager()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PublicKey` | `getClientPublicKey(KeycloakSession session, ClientModel client, JWSInput input)`
    `static KeyWrapper` | `getClientPublicKeyWrapper(KeycloakSession session, ClientModel client, JWK.Use keyUse, String algAlgorithm)`
    `static KeyWrapper` | `getClientPublicKeyWrapper(KeycloakSession session, ClientModel client, JWSInput input)`
    `static PublicKey` | `getIdentityProviderPublicKey(KeycloakSession session, RealmModel realm, OIDCIdentityProviderConfig idpConfig, JWSInput input)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PublicKeyStorageManager

          public PublicKeyStorageManager()

  - ### Method Detail

    - #### getClientPublicKey

          public static PublicKey getClientPublicKey(KeycloakSession session,
                                                     ClientModel client,
                                                     JWSInput input)

    - #### getClientPublicKeyWrapper

          public static KeyWrapper getClientPublicKeyWrapper(KeycloakSession session,
                                                             ClientModel client,
                                                             JWSInput input)

    - #### getClientPublicKeyWrapper

          public static KeyWrapper getClientPublicKeyWrapper(KeycloakSession session,
                                                             ClientModel client,
                                                             JWK.Use keyUse,
                                                             String algAlgorithm)

    - #### getIdentityProviderPublicKey

          public static PublicKey getIdentityProviderPublicKey(KeycloakSession session,
                                                               RealmModel realm,
                                                               OIDCIdentityProviderConfig idpConfig,
                                                               JWSInput input)

Copyright © 2020 JBoss by Red Hat. All rights reserved.